Create Workforce
curl --request POST \
--url https://api.example.com/api/workforces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"manager_agent_id": 123,
"description": "<string>",
"manager_instructions": "<string>",
"canvas_layout": {},
"workers": [
{
"assignment_instructions": "<string>",
"source_type": "existing",
"agent_id": 123,
"alias": "<string>",
"enabled": true,
"sort_order": 123,
"canvas_position": {}
}
]
}
'import requests
url = "https://api.example.com/api/workforces"
payload = {
"name": "<string>",
"manager_agent_id": 123,
"description": "<string>",
"manager_instructions": "<string>",
"canvas_layout": {},
"workers": [
{
"assignment_instructions": "<string>",
"source_type": "existing",
"agent_id": 123,
"alias": "<string>",
"enabled": True,
"sort_order": 123,
"canvas_position": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
manager_agent_id: 123,
description: '<string>',
manager_instructions: '<string>',
canvas_layout: {},
workers: [
{
assignment_instructions: '<string>',
source_type: 'existing',
agent_id: 123,
alias: '<string>',
enabled: true,
sort_order: 123,
canvas_position: {}
}
]
})
};
fetch('https://api.example.com/api/workforces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Workforces
Create Workforce
POST
/
api
/
workforces
Create Workforce
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
The response is of type Response Create Workforce Api Workforces Post · object.
⌘I

